Sequel.migration do
    change do
        create_table :solves do
            primary_key :id

            # The user's Discord id
            String :discord_id, null: false

            # The ID of the puzzle solved
            foreign_key :puzzle_id, :puzzles, null: false

            # Timestamps
            DateTime :created_at, null: false
            DateTime :updated_at, null: false
        end
    end
end
